edu.northwestern.at.morphadorner.corpuslinguistics.textsummarizer

## Class DefaultTextSummarizer

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.textsummarizer.AbstractTextSummarizer
    - - edu.northwestern.at.morphadorner.corpuslinguistics.textsummarizer.SimpleTextSummarizer
      - - edu.northwestern.at.morphadorner.corpuslinguistics.textsummarizer.DefaultTextSummarizer

- All Implemented Interfaces:
    TextSummarizer, IsCloseable, UsesLogger

      public class DefaultTextSummarizer
      extends SimpleTextSummarizer
      implements TextSummarizer

  DefaultTextSummarizer: The default MorphAdorner text summarizer.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.textsummarizer.AbstractTextSummarizer

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTextSummarizer()` Create the default summarizer.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.textsummarizer.SimpleTextSummarizer

      `summarize`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.textsummarizer.AbstractTextSummarizer

      `getLogger, setLogger, summarize`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.textsummarizer.TextSummarizer

      `summarize, summarize`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### DefaultTextSummarizer

          public DefaultTextSummarizer()

      Create the default summarizer.